Bug 198148 - mbstring only supports Japanese
mbstring only supports Japanese
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-07-10 06:55 EDT by Need Real Name
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-03 11:32:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-07-10 06:55:38 EDT
Description of problem:
mbstring extension only supports Japanese.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create a file that contains phpinfo() function.
2. browse a file via Apache
Actual results:

Multibyte Support                                             enabled
Japanese support                                              enabled
HTTP input encoding translation                               enabled
Multibyte (japanese) regex support                            enabled

Expected results:

Multibyte Support                                             enabled
Japanese support                                              enabled
Simplified chinese support                                    enabled
Traditional chinese support                                   enabled
Korean support                                                enabled
Russian support                                               enabled
Multibyte (japanese) regex support                            enabled

Additional info:

From http://www.php.net/manual/en/ref.mbstring.php,
> For PHP 4.3.3 or before, To enable that feature, you will have to supply either 
> one of the following options to the LANG parameter of --enable-mbstring=LANG; 
> --enable-mbstring=cn for Simplified Chinese support, --enable-mbstring=tw for 
> Traditional Chinese support, --enable-mbstring=kr for Korean support, 
> --enable-mbstring=ru for Russian support, and --enable-mbstring=ja for Japanese 
> support (default). To enable all supported encoding, use --enable-mbstring=all.

php.spec specifies only --enable-mbstring (not --enable-mbstring=all). Therefore
mbstring supports only Japanese.
Comment 2 Joe Orton 2007-04-03 11:32:27 EDT
This is fixed in releases of Red Hat Enterprise Linux 4 and later.

Note You need to log in before you can comment on or make changes to this bug.